This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1259048 - [abrt] Always hold EDBusServer when opening factory subprocess
[abrt] Always hold EDBusServer when opening factory subprocess
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1e197bc2527faa278c0e5a4d680...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 16:29 EDT by Mikhail
Modified: 2015-09-02 10:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: evolution-data-server-3.17.92
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-02 10:36:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (44.54 KB, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details
File: cgroup (285 bytes, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details
File: core_backtrace (11.40 KB, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details
File: dso_list (19.17 KB, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details
File: environ (1022 bytes, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details
File: maps (87.93 KB, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details
File: mountinfo (3.65 KB, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details
File: open_fds (552 bytes, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details
File: proc_pid_status (1020 bytes, text/plain)
2015-09-01 16:29 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2015-09-01 16:29:14 EDT
Version-Release number of selected component:
evolution-data-server-3.17.90-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: g_dbus_proxy_call_sync_internal
executable:     /usr/libexec/evolution-calendar-factory
global_pid:     22002
kernel:         4.2.0-0.rc8.git0.1.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 g_dbus_proxy_call_sync_internal at gdbusproxy.c:2834
 #1 g_dbus_proxy_call_sync at gdbusproxy.c:3044
 #2 e_dbus_subprocess_backend_call_create_sync at e-dbus-subprocess-backend.c:561
 #3 data_factory_call_subprocess_backend_create_sync at e-data-factory.c:530
 #4 data_factory_spawn_subprocess_backend at e-data-factory.c:1230
 #5 data_factory_spawn_subprocess_backend_in_thread at e-data-factory.c:1337
 #6 g_thread_proxy at gthread.c:778
Comment 1 Mikhail 2015-09-01 16:29:17 EDT
Created attachment 1069159 [details]
File: backtrace
Comment 2 Mikhail 2015-09-01 16:29:19 EDT
Created attachment 1069160 [details]
File: cgroup
Comment 3 Mikhail 2015-09-01 16:29:20 EDT
Created attachment 1069161 [details]
File: core_backtrace
Comment 4 Mikhail 2015-09-01 16:29:22 EDT
Created attachment 1069162 [details]
File: dso_list
Comment 5 Mikhail 2015-09-01 16:29:23 EDT
Created attachment 1069163 [details]
File: environ
Comment 6 Mikhail 2015-09-01 16:29:25 EDT
Created attachment 1069164 [details]
File: exploitable
Comment 7 Mikhail 2015-09-01 16:29:26 EDT
Created attachment 1069165 [details]
File: limits
Comment 8 Mikhail 2015-09-01 16:29:28 EDT
Created attachment 1069166 [details]
File: maps
Comment 9 Mikhail 2015-09-01 16:29:29 EDT
Created attachment 1069167 [details]
File: mountinfo
Comment 10 Mikhail 2015-09-01 16:29:31 EDT
Created attachment 1069168 [details]
File: namespaces
Comment 11 Mikhail 2015-09-01 16:29:32 EDT
Created attachment 1069169 [details]
File: open_fds
Comment 12 Mikhail 2015-09-01 16:29:33 EDT
Created attachment 1069170 [details]
File: proc_pid_status
Comment 13 Milan Crha 2015-09-02 10:36:28 EDT
Thanks for a bug report. I see from the backtrace that the factory crashed due to trying to open an On This Computer/Personal task list, while the factory was closing itself. Kind of corner case, from my point of view, but still doable.

I fixed this upstream [1] for evolution-data-server 3.17.92+.

[1] https://git.gnome.org/browse/evolution-data-server/commit/?id=e9dba19

Note You need to log in before you can comment on or make changes to this bug.